<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Scrap extends Model
{
    use HasFactory;

    protected $fillable = [
        'asset_id', 'reason', 'vendor', 'scrap_date',
        'certificate_path', 'status',
    ];

    public function asset()
    {
        return $this->belongsTo(Asset::class);
    }
}
